2018-10-15 14:23 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003965SpiritOfExcalibur[All Projects] Generalpublic2018-09-29 18:37
ReporterIrek 
Assigned ToStingRayProject InfoSpirit of Excalibur (Virgin)
http://www.whdload.de/games/SpiritOfExcalibur.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0003965: Hello, A similar error message as with VoE.: The game crashes without
DescriptionGameVersion: english,pal,3 disks
SlaveVersion: 1.0 from 2018-09-15

Hello,
A similar error message as with VoE.:
The game crashes without additional options(NOCACHE+NOMMU) right after the start with an error.(see below)
Issue with the latest WHDLoad Version.
************************* 20-Sep-18 19:12:02 ************************18.0.5614***
Slave='SpiritOfExcalibur.slave' (5144 bytes)
ShadowMem 55B269A0 - 55B9C9A0 ( 483328) AbsolutMem    76000 -    80000 (  40960)
Resload   5BEA6000 - 5BEADE0C (  32268) at 5BEA6000  GL=$5BF70000
Slave     5BF79000 - 5BF7A3F4 (   5108) at 5BF79000  BaseMemSize=$80000
ExpMem    5BEAF000 - 5BF6F000 ( 786432) at 5BEAF000
attn=7F(40,82) fc=-1 kn=10371 cs=1851 rw=0 zpt=-1 ep=0 ei=0
setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC)
Exception "Access Fault" ($7008) PC = $5BF03316 (ExpMem $54316) Long Read from
$1233F1C0
$5bf032dc moveq        #-1,d0
$5bf032de bra.w        $5bf03218
$5bf032e2 link         a5,#$ffdc
$5bf032e6 clr.l        (-$18,a5)                      ;$5befd7a8
$5bf032ea move.b       #2,(-$23,a5)                   ;$5befd79d
$5bf032f0 move.l       (8,a5),(-$10,a5)               ;$5befd7c8 $5befd7b0
$5bf032f6 btst         #0,($b,a5)                     ;$5befd7cb
$5bf032fc beq.b        $5bf03302
$5bf032fe addq.l       #1,(-$10,a5)                   ;$5befd7b0
$5bf03302 cmpi.w       #1,($e,a5)                     ;$5befd7ce
$5bf03308 bne.b        $5bf03316
$5bf0330a move.l       (-$64b8,a4),a0                 ;$1233f1c0
$5bf0330e move.l       (8,a0),(-4,a5)                 ;$5bf068e2 $5befd7bc
$5bf03314 bra.b        $5bf03326
$5bf03316 move.l       (-$64b8,a4),a0                 ;$1233f1c0
$5bf0331a move.l       (a0),-(a7)                     ;$5bf068da $5befd79c
$5bf0331c jsr          ($5bf04608,pc)
$5bf03320 addq.w       #4,a7
$5bf03322 move.l       d0,(-4,a5)                     ;$5befd7bc
$5bf03326 move.l       (-4,a5),a0                     ;$5befd7bc
$5bf0332a move.w       (8,a0),d0                      ;$5bf068e2
$5bf0332e and.w        #$1800,d0
$5bf03332 bne.b        $5bf03344
$5bf03334 move.l       (-4,a5),a0                     ;$5befd7bc
$5bf03338 move.l       ($a,a0),d0                     ;$5bf068e4
$5bf0333c cmp.l        (-$10,a5),d0                   ;$5befd7b0
$5bf03340 bcc.w        $5bf034f8
$5bf03344 tst.w        ($e,a5)                        ;$5befd7ce
$5bf03348 bne.w        $5bf033f0
exception stackframe:
$5BF6EFC4 00095BF0 33167008 5BEFD818 05010001 00010001 1233F1C0 5BEFD7B0 000004E0
$5BF6EFE4 5BEEF5F8 16FBBE1A 5BEFD26C 5BEF16E2 5BEEF240 00105BEE 31280020
regular stack:
$5BEFD79C E7020000 00000000 00000000 00000000 00000000 000004E0 00000000 00000000
$5BEFD7BC 00000000 5BEFD7D8 5BF03BEC 000004E0 00000000 2D245BEC 93085BEF 5BEFD884
$5BEFD7DC 5BF068EA 000004E0 00010001 000004E0 5BF068DA 00000002 0000003E 16FBD97D
$5BEFD7FC 5BEF41D4 5BF068DA 5BF09CB8 5BEF4178 5BF00244 5BF1507E 5BEFD884 00000000
$5BEFD81C 5BF0BA62 000004DC 00010001 FFFFFFFE 00000000 5BF09CB8 00000000 5BF0B70C
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx      4E0     10001       4E0  5BF068DA         2        3E  16FBD97D  5BEF41D4
Ax 5BF068DA  5BF09CB8  5BEF4178  5BF00244  12345678  5BEFD7C0         0
                 TTSM III   XNZVC
PC=5BF03316  SR %0000000000001001  USP=5BEFD79C  ISP=5BF6EFC4  MSP=7F800
VBR=5BF71000  SFC=5  DFC=5  CACR=80008000  
TC=8000  URP=5BFFE000  SRP=5BFFE000  MMUSR=0
DTT0=0  DTT1=0  ITT0=0  ITT1=0
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0110000001101100 dmacon=%0010001111110000 adkcon=$1100
intreq=%0000000000000000
vposr....A300  vhposr...029D  joy0dat..0302  joy1dat..0000  clxdat...8023  
pot0dat..4F39  pot1dat..4637  potinp...5500  serdatr..3BFF  dskbytr..A000  
deniseid.00F8  hhposr...FF03  
   ciaa:     PI ROPS		   ciab:     PI ROPS
    cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
        AII ROPS			    AII ROPS
    crb=00001000  tb=C87A<FFFF	   crb=10000000  tb=FFFF<FFFF
        10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    pra=11111100  prb=11111111      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=00004A  icr=00  sdr=00    event=00013A  icr=04  sdr=00
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed25
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoft40 - Kick 3.1
WHDLoad18
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0006403

StingRay (developer)

Fixed in V1.01. For further information refer to #3964.

note ~0006414

Irek (reporter)

Thanks for the new update,it works fine on my setup now. :)

PS:I forgot to mention that I have some icons for this game too, if you like it you are welcome to use it someday.;)

note ~0006415

StingRay (developer)

I will include them in the next update. :)
+Notes

-Issue History
Date Modified Username Field Change
2018-09-22 22:47 administrator New Issue
2018-09-22 22:47 administrator Status new => assigned
2018-09-22 22:47 administrator Assigned To => StingRay
2018-09-26 17:09 StingRay Note Added: 0006403
2018-09-26 17:10 StingRay Status assigned => resolved
2018-09-26 17:10 StingRay Resolution open => fixed
2018-09-28 22:02 Irek Note Added: 0006414
2018-09-28 22:04 Irek File Added: Icons.lha
2018-09-29 18:37 StingRay Note Added: 0006415
+Issue History